﻿# Nightwave.NET for Workgroups

An unofficial client for [Nightwave Plaza][1], which aims to
implement as much functionality of the site as possible
while maintaining aesthetics.

You can [get it here][6].

Intended future improvements include:
* Optional session storage between sessions to avoid logging in again
* Multiple visualiser types
* Better use of additional application real-estate when resized
* Integration with the Windows native media APIs (so keyboard play/pause buttons work)

## First-Party

Nightwave.NET uses **libplaza**, a basic .Net interface for
the Nightwave Plaza API. **libplaza** can be found in the same
Git repository as **Nightwave.NET for Workgroups**.

## Third-Party

Nightwave.NET uses the following third-party libraries and resources:
* [BASS][2] by Un4Seen Developments, via .Net wrapper library [ManagedBass][3] by Mathew Sachin, for audio streaming and playback functionality.
* [JSON.Net][4] by Newtonsoft for deserialisation of JSON strings.
* [CredentialManager][5] by Meziantou for access to the Windows Credential Manager APIs

[1]: https://plaza.one
[2]: https://www.un4seen.com/bass.html
[3]: https://github.com/ManagedBass/ManagedBass
[4]: https://github.com/JamesNK/Newtonsoft.Json
[5]: https://github.com/meziantou/Meziantou.Framework
[6]: https://soft.pup.cloud/Nightwave.NET/